using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BufferValueProvider : ValueProvider
{
    public ValueProvider valueProvider;
    public bool inverted;

    public override bool value => inverted ? !(valueProvider?.value ?? false) : (valueProvider?.value ?? false);

    protected override void OnDraw()
    {
        base.OnDraw();
        if (valueProvider != null)
            Gizmos.DrawLine(valueProvider.transform.position, transform.position);
    }
}
